From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
Date: Fri, 28 Feb 2020 19:06:43 +0100
Subject: arm64: dts: imx8mq-librem5: Use rfkill-hks for hardware kill
 switches
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Guido Günther <guido.gunther@puri.sm>
---
 arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi | 27 ++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
index b037abe..db0ee77 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
@@ -10,6 +10,7 @@
 #include "dt-bindings/leds/common.h"
 #include "dt-bindings/pwm/pwm.h"
 #include "dt-bindings/usb/pd.h"
+#include "dt-bindings/rfkill/rfkill.h"
 #include "imx8mq.dtsi"
 
 / {
@@ -38,7 +39,7 @@ chosen {
 	gpio-keys {
 		compatible = "gpio-keys";
 		pinctrl-names = "default";
-		pinctrl-0 = <&pinctrl_keys>, <&pinctrl_hsw>;
+		pinctrl-0 = <&pinctrl_keys>;
 
 		wwan_wake {
 			label = "WWAN_WAKE";
@@ -311,6 +312,30 @@ reg_wifi_3v3: regulator-wifi-3v3 {
 		vin-supply = <&reg_vdd_3v3>;
 	};
 
+	rfkill-hks {
+		compatible = "rfkill-hks";
+		pinctrl-names = "default";
+		pinctrl-0 = <&pinctrl_hsw>;
+
+		mic-hks {
+			gpios = <&gpio4 1 GPIO_ACTIVE_LOW>;
+			name = "mic-hks";
+			type = <RFKILL_MIC>;
+		};
+
+		wlan-hks {
+			gpios = <&gpio4 10 GPIO_ACTIVE_LOW>;
+			name = "wlan-hks";
+			type = <RFKILL_WLAN>;
+		};
+
+		wwan-hks {
+			gpios = <&gpio4 0 GPIO_ACTIVE_LOW>;
+			name = "wwan-hks";
+			type = <RFKILL_WWAN>;
+		};
+	};
+
 	sound {
 		compatible = "simple-audio-card";
 		pinctrl-names = "default";
